curl --request GET \
--url https://thirdparty.qonto.com/v2/client_invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/client_invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/client_invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_invoices": [
{
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"number": "INV001",
"purchase_order": "<string>",
"status": "paid",
"invoice_url": "https://pay.qonto.com/invoices/00000000-0000-0000-0000-000000000000",
"contact_email": "contact@qonto.com",
"terms_and_conditions": "This is an example.",
"discount_conditions": "Pas dâescompte accordĂ© pour paiement anticipĂ©.",
"late_payment_penalties": "En cas de non-paiement Ă la date d'Ă©chĂ©ance, des pĂ©nalitĂ©s calculĂ©es Ă trois fois le taux dâintĂ©rĂȘt lĂ©gal seront appliquĂ©es.",
"legal_fixed_compensation": "Tout retard de paiement entraĂźnera une indemnitĂ© forfaitaire pour frais de recouvrement de 40âŹ.",
"header": "This is an example.",
"footer": "This is an example.",
"currency": "EUR",
"total_amount": {
"value": "12.52",
"currency": "EUR"
},
"total_amount_cents": 1252,
"vat_amount": {
"value": "0.51",
"currency": "EUR"
},
"vat_amount_cents": 51,
"issue_date": "2022-03-01",
"due_date": "2022-03-01",
"performance_date": "2022-03-01",
"performance_start_date": "2022-03-01",
"performance_end_date": "2022-03-31",
"created_at": "2022-03-04T17:58:30+02:00",
"finalized_at": "2022-03-04T17:58:30+02:00",
"paid_at": "2022-03-04T17:58:30+02:00",
"stamp_duty_amount": "1.00",
"items": [
{
"title": "Plastic tables",
"description": "Plastic tables for McDonaldâs restaurants",
"quantity": "1.5",
"unit": "meter",
"unit_price": {
"value": "10.0",
"currency": "EUR"
},
"unit_price_cents": 1000,
"vat_rate": "0.1",
"vat_exemption_reason": "N1",
"discount": {
"type": "percentage",
"value": "0.1",
"amount": {
"value": "120",
"currency": "EUR"
}
},
"total_vat": {
"value": "120",
"currency": "EUR"
},
"total_vat_cents": 12000,
"total_amount": {
"value": "300.50",
"currency": "EUR"
},
"total_amount_cents": 30050,
"subtotal": {
"value": "120",
"currency": "EUR"
},
"subtotal_cents": 12000
}
],
"client": {
"id": "33v418bb-bd0d-4df4-865c-c07afab8bb48",
"name": "McDonald's",
"first_name": "Jane",
"last_name": "Doe",
"type": "individual",
"email": "client@qonto.com",
"vat_number": "FR32123456789",
"tax_identification_number": "123456789",
"address": "1 place de lâOpĂ©ra",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "fr",
"recipient_code": "<string>",
"locale": "fr",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
}
},
"payment_methods": [
{
"beneficiary_name": "John Doe",
"bic": "ABCDEFG1XXX",
"iban": "FR1420041010050500013M02606",
"type": "transfer"
}
],
"credit_notes_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_name": "<string>",
"legal_number": "<string>",
"legal_country": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_zipcode": "<string>",
"address_city": "<string>",
"address_country": "<string>",
"company_leadership": "Jan Mueller",
"district_court": "Munich",
"commercial_register_number": "HRB12345B",
"vat_number": "FR123456789",
"tax_number": "123/123/1234",
"legal_capital_share": {
"value": "10000.00",
"currency": "EUR"
},
"transaction_type": "goods",
"vat_payment_condition": "on_receipts"
},
"invoice_type": "standard",
"attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"discount": {
"type": "percentage",
"value": "0.1",
"amount": {
"value": "10.00",
"currency": "EUR"
}
},
"amount_paid": {
"value": "12.52",
"currency": "EUR"
},
"einvoicing_status": "pending",
"welfare_fund": {
"type": "TC01",
"rate": "0.0001"
},
"withholding_tax": {
"reason": "RF01",
"rate": "0.01",
"payment_reason": "L1",
"amount": "1.00"
},
"payment_reporting": {
"conditions": "TP01",
"method": "MP01"
},
"quote_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"einvoicing_lifecycle_events": [
{
"status_code": 200,
"reason": "DOUBLE FACTURE",
"reason_message": "I already received this invoice",
"timestamp": "2024-12-04T11:05:16.4497Z"
}
]
}
],
"meta": {
"current_page": 2,
"next_page": "null",
"prev_page": 1,
"total_pages": 2,
"total_count": 150,
"per_page": 100
}
}{
"errors": [
{
"status": "400",
"code": "bad_request",
"detail": "The request is malformed or contains invalid data"
}
]
}{
"errors": [
{
"status": "401",
"code": "unauthorized",
"detail": "Authentication is required to access this resource"
}
]
}{
"errors": [
{
"status": "403",
"code": "forbidden",
"detail": "You do not have permission to access this resource"
}
]
}{
"errors": [
{
"status": "422",
"code": "invalid",
"detail": "`due_date` should be greater or equal than `issue_date`.",
"source": {
"pointer": "/data/attributes/due_date"
},
"meta": {
"validation_param": "IssueDate"
}
}
]
}{
"errors": [
{
"status": "500",
"code": "internal_server_error",
"detail": "An internal server error occurred while processing the request"
}
]
}List client invoices
OAuth scope: client_invoices.read
Retrieves the list of client invoices for the authenticated organization.
You can filter (ex: only retrieve the latest client invoices) and sort this list by using query parameters đ
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Invoices can be filtered by their status:
draft: the invoice was created but not validated. The invoice still needs to be validated to be paid.unpaid: the invoice was created and validated. The invoice is ready to be paid.canceled: the invoice was created but canceled by the initiator. The invoice it is not ready to be paid.paid: the invoice was created, forwarded to the client, and successfully paid.
To filter by multiple statuses, use a comma-separated list.
draft, unpaid, paid, canceled Invoices can be filtered by their created_at property. This filter can be used in combination with the created_at_to query parameter to get invoices created within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2022-02-01T12:01:02Z"
Invoices can be filtered by their created_at property. This filter can be used in combination with the created_at_from query parameter to get invoices created within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2022-04-23T16:23:00Z"
Invoices can be filtered by their updated_at property. This filter can be used in combination with the updated_at_to query parameter to get invoices updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2022-02-01T12:01:02Z"
Invoices can be filtered by their updated_at property. This filter can be used in combination with the updated_at_from query parameter to get invoices updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2022-04-23T16:23:00Z"
Invoices can be filtered by their due_date property to get invoices with an exact due date. Please use the YYYY-MM-DD format.
"2022-03-15"
Invoices can be filtered by their due_date property. This filter can be used in combination with the due_date_to query parameter to get invoices with a due date within a specific timeframe. The filter is inclusive. Please use the YYYY-MM-DD format.
"2022-02-01"
Invoices can be filtered by their due_date property. This filter can be used in combination with the due_date_from query parameter to get invoices with a due date within a specific timeframe. The filter is inclusive. Please use the YYYY-MM-DD format.
"2022-04-23"
Controls whether imported invoices should be excluded from the results.
true(default): Excludes invoices that have been imported.false: Includes all invoices, including imported ones.
Note: By default, imported invoices are excluded. To retrieve imported invoices, explicitly set this parameter to false.
false
Returned page (cf. Pagination).
1
Number of invoices per page (cf. Pagination).
x >= 100Invoices can be sorted by their created_at property in 2 possible orders: asc (Ascending) / desc (Descending).
created_at:desc, created_at:asc Was this page helpful?